﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace TelerikXamarin.Portable.Converters
{
    class GroupHeaderDisplayFormatConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            // the bound header text is a string
            var headerText = value as string;

            // get the valid DateTime object
            DateTime parsedDateTime;
            if (DateTime.TryParse(headerText, out parsedDateTime))
            {
                // Return the formatted string using your preferred DataTime string format
                return parsedDateTime.ToString("g");
            }

            // if parsing fails, return the original value
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
