﻿using System;
using System.Collections.ObjectModel;
using Telerik.XamarinForms.Common;
using TelerikXamarin.Portable.Models;

namespace TelerikXamarin.Portable.ViewModels
{
    public class StartPageViewModel : NotifyPropertyChangedBase
    {
        public ObservableCollection<TermPaper> TermPapers { get; set; } = GeneratePapers();

        private static ObservableCollection<TermPaper> GeneratePapers()
        {
            var papers = new ObservableCollection<TermPaper>();

            for (var i = 1; i < 30; i++)
            {
                papers.Add(new TermPaper
                {
                    Subject = $"Subject {i}",
                    DueDate = i % 3 == 0 ? DateTime.Now.AddDays(7) : DateTime.Now.AddDays(14),
                    IsComplete = i % 2 == 0
                });
            }

            return papers;
        }
    }
}
